package application.apps;

import org.eclipse.rap.rwt.application.AbstractEntryPoint;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.FormAttachment;
import org.eclipse.swt.layout.FormData;
import org.eclipse.swt.layout.FormLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Slider;
import org.eclipse.swt.widgets.Spinner;
import org.eclipse.swt.widgets.Text;

import smartpad.controls.SmartPadSpinner;


public class AppUI extends AbstractEntryPoint {

	
	public AppUI(){
		super();
	}

	@Override
	protected void createContents(final Composite parent) {
		Composite thisComposite = new Composite(parent, SWT.NONE);
		// RWT.getSessionStore().getHttpSession().setMaxInactiveInterval(600);
		thisComposite.setLayout(new FormLayout());

		final Text testText = new Text(thisComposite, SWT.MULTI);

		testText.setText("App1");
		FormData formData = new FormData();
		formData.top = new FormAttachment(thisComposite, 10, SWT.TOP);
		formData.left = new FormAttachment(thisComposite, 10, SWT.LEFT);
		formData.width = 400;
		testText.setLayoutData(formData);

		Spinner spinner = new SmartPadSpinner(thisComposite, SWT.WRAP);

		spinner.setMinimum(0);
		spinner.setMaximum(100);
		spinner.setIncrement(1);
		formData = new FormData();
		formData.top = new FormAttachment(testText, 10);
		formData.left = new FormAttachment(testText, 0, SWT.LEFT);
		spinner.setLayoutData(formData);

		Button button = new Button(thisComposite, SWT.PUSH);
		button.setText("Set Value");
		formData = new FormData();
		formData.top = new FormAttachment(spinner, 0, SWT.TOP);
		formData.left = new FormAttachment(spinner, 5);
		formData.bottom = new FormAttachment(spinner, 0, SWT.BOTTOM);
		button.setLayoutData(formData);

		Button radioButton1 = new Button(thisComposite, SWT.RADIO);
		radioButton1.setText("increment");
		formData = new FormData();
		formData.top = new FormAttachment(spinner, 10);
		formData.left = new FormAttachment(spinner, 0, SWT.LEFT);
		radioButton1.setLayoutData(formData);

		Button radioButton2 = new Button(thisComposite, SWT.RADIO);
		radioButton2.setText("decrement");
		formData = new FormData();
		formData.top = new FormAttachment(radioButton1, 0, SWT.TOP);
		formData.left = new FormAttachment(radioButton1, 5);
		radioButton2.setLayoutData(formData);
		

		Slider slider = new Slider(thisComposite, SWT.HORIZONTAL);
		slider.setMinimum(0);
		slider.setMaximum(100);
		formData = new FormData();
		formData.top = new FormAttachment(radioButton1, 10);
		formData.left = new FormAttachment(radioButton1, 0, SWT.LEFT);
		slider.setLayoutData(formData);

		Button checkBox = new Button(thisComposite, SWT.CHECK);
		checkBox.setText("Show Dialog");
		formData = new FormData();
		formData.top = new FormAttachment(slider, 10);
		formData.left = new FormAttachment(slider, 0, SWT.LEFT);
		checkBox.setLayoutData(formData);

//		final Canvas canvas = new Canvas(thisComposite, SWT.BORDER);
//		formData = new FormData();
//		formData.top = new FormAttachment(checkBox, 10);
//		formData.left = new FormAttachment(checkBox, 0, SWT.LEFT);
//		formData.height = 30;
//		formData.width = 100;
//		canvas.setLayoutData(formData);

//		final ComboViewer combo = new ComboViewer(thisComposite);
//
//		IStructuredContentProvider cp = new ArrayContentProvider();
//		combo.setContentProvider(cp);
//		combo.setInput(new Color[] {
//				Display.getDefault().getSystemColor(SWT.COLOR_BLUE),
//				Display.getDefault().getSystemColor(SWT.COLOR_RED),
//				Display.getDefault().getSystemColor(SWT.COLOR_GREEN) });
//
//		formData = new FormData();
//		formData.top = new FormAttachment(canvas, 10);
//		formData.left = new FormAttachment(canvas, 0, SWT.LEFT);
//		formData.height = 40;
//		combo.getCombo().setLayoutData(formData);
//
//		combo.addSelectionChangedListener(new ISelectionChangedListener() {
//
//			@Override
//			public void selectionChanged(SelectionChangedEvent event) {
//
//				if (event.getSelection() instanceof IStructuredSelection) {
//					IStructuredSelection ss = (IStructuredSelection) event
//							.getSelection();
//					canvas.setBackground((Color) ss.getFirstElement());
//				}
//			}
//
//		});
		

	}

}
