package application.webapp;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.rap.rwt.RWT;
import org.eclipse.rap.rwt.application.Application;
import org.eclipse.rap.rwt.application.Application.OperationMode;
import org.eclipse.rap.rwt.application.ApplicationConfiguration;
import org.eclipse.rap.rwt.client.WebClient;

import application.apps.AppUI;

public class BasicApplication implements ApplicationConfiguration {

	public void configure(Application application) {
		Map<String, String> properties = new HashMap<String, String>();
		properties.put(WebClient.PAGE_TITLE, "Example");
		application.addEntryPoint("/Example", AppUI.class,
				properties);
		// Set Operation mode to SWT-Compatibility to enable SWT like behavior
		// for blocking APIs like dialogs.
		application.setOperationMode(OperationMode.SWT_COMPATIBILITY);
		
	}

}
